/**
 * Group components
 * @class ApCardGroup
 */

'use strict'

import React, {PropTypes as types} from 'react'
import classnames from 'classnames'
import {ApImage} from 'apeman-react-image'
import {ApTouchable} from 'apeman-react-touchable'

/** @lends ApCardGroup */
const ApCardGroup = React.createClass({

  // --------------------
  // Specs
  // --------------------

  propTypes: {
    /** Source of image */
    imgSrc: types.string,
    /** Alt text of image */
    imgAlt: types.string,
    /** Scale policy of image */
    imgScale: types.string,
    /** Width of image */
    imgWidth: types.oneOfType([ types.number, types.string ]),
    /** Height of image */
    imgHeight: types.oneOfType([ types.number, types.string ]),

    /** Title text */
    title: types.string,
    /** Content text */
    text: types.string
  },

  mixins: [],

  statics: {},

  getInitialState () {
    return {}
  },

  getDefaultProps () {
    return {
      imgScale: 'fit',
      imgWidth: 128,
      imgHeight: 'auto'
    }
  },

  render () {
    const s = this
    let { state, props } = s

    return (
      <div { ...props }
        className={ classnames('ap-card-group', {}) }
        style={ Object.assign({}, props.style) }>
        { props.children }
      </div>
    )
  }

  // --------------------
  // Lifecycle
  // --------------------

  // ------------------
  // Custom
  // ------------------

  // ------------------
  // Private
  // ------------------

})

export default ApCardGroup
