/**
 * apeman react package for card components
 * @class ApCard
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _apemanReactImage = require('apeman-react-image');

var _apemanReactTouchable = require('apeman-react-touchable');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApCard */
var ApCard = _react2.default.createClass({
  displayName: 'ApCard',


  // --------------------
  // Specs
  // --------------------

  propTypes: {
    /** Source of image */
    imgSrc: _react.PropTypes.string,
    /** Alt text of image */
    imgAlt: _react.PropTypes.string,
    /** Scale policy of image */
    imgScale: _react.PropTypes.string,
    /** Width of image */
    imgWidth: _react.PropTypes.oneOfType([_react.PropTypes.number, _react.PropTypes.string]),
    /** Height of image */
    imgHeight: _react.PropTypes.oneOfType([_react.PropTypes.number, _react.PropTypes.string]),

    /** Title text */
    title: _react.PropTypes.string,
    /** Content text */
    text: _react.PropTypes.string
  },

  mixins: [],

  statics: {},

  getInitialState: function getInitialState() {
    return {};
  },
  getDefaultProps: function getDefaultProps() {
    return {
      imgScale: 'fit',
      imgWidth: 128,
      imgHeight: 'auto'
    };
  },
  render: function render() {
    var s = this;
    var state = s.state;
    var props = s.props;


    return _react2.default.createElement(
      _apemanReactTouchable.ApTouchable,
      _extends({}, props, {
        className: (0, _classnames2.default)('ap-card', {
          'ap-card-tappable': !!props.onTap
        }, props.className),
        style: Object.assign({}, props.style) }),
      _react2.default.createElement(
        'div',
        { className: 'ap-card-column ap-card-column-0' },
        s._renderImage(props.imgSrc, props.imgAlt, props.imgScale, props.imgWidth, props.imgHeight)
      ),
      _react2.default.createElement(
        'div',
        { className: 'ap-card-column' },
        s._renderTitle(props.title),
        s._renderText(props.text),
        props.children
      )
    );
  },


  // --------------------
  // Lifecycle
  // --------------------

  // ------------------
  // Custom
  // ------------------

  // ------------------
  // Private
  // ------------------

  _renderImage: function _renderImage(src, alt, scale, width, height) {
    if (!src) {
      return null;
    }
    var props = { src: src, alt: alt, scale: scale, width: width, height: height };
    return _react2.default.createElement(_apemanReactImage.ApImage, _extends({}, props, {
      className: 'ap-card-image'
    }));
  },
  _renderTitle: function _renderTitle(title) {
    if (!title) {
      return null;
    }
    return _react2.default.createElement(
      'h3',
      { className: 'ap-card-title' },
      title
    );
  },
  _renderText: function _renderText(text) {
    if (!text) {
      return null;
    }
    return _react2.default.createElement(
      'p',
      { className: 'ap-card-text' },
      text
    );
  }
});

exports.default = ApCard;
//# sourceMappingURL=data:application/json;base64,bnVsbA==