/**
 * Group components
 * @class ApCardGroup
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _apemanReactImage = require('apeman-react-image');

var _apemanReactTouchable = require('apeman-react-touchable');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApCardGroup */
var ApCardGroup = _react2.default.createClass({
  displayName: 'ApCardGroup',


  // --------------------
  // Specs
  // --------------------

  propTypes: {
    /** Source of image */
    imgSrc: _react.PropTypes.string,
    /** Alt text of image */
    imgAlt: _react.PropTypes.string,
    /** Scale policy of image */
    imgScale: _react.PropTypes.string,
    /** Width of image */
    imgWidth: _react.PropTypes.oneOfType([_react.PropTypes.number, _react.PropTypes.string]),
    /** Height of image */
    imgHeight: _react.PropTypes.oneOfType([_react.PropTypes.number, _react.PropTypes.string]),

    /** Title text */
    title: _react.PropTypes.string,
    /** Content text */
    text: _react.PropTypes.string
  },

  mixins: [],

  statics: {},

  getInitialState: function getInitialState() {
    return {};
  },
  getDefaultProps: function getDefaultProps() {
    return {
      imgScale: 'fit',
      imgWidth: 128,
      imgHeight: 'auto'
    };
  },
  render: function render() {
    var s = this;
    var state = s.state;
    var props = s.props;


    return _react2.default.createElement(
      'div',
      _extends({}, props, {
        className: (0, _classnames2.default)('ap-card-group', {}),
        style: Object.assign({}, props.style) }),
      props.children
    );
  }

  // --------------------
  // Lifecycle
  // --------------------

  // ------------------
  // Custom
  // ------------------

  // ------------------
  // Private
  // ------------------

});

exports.default = ApCardGroup;
//# sourceMappingURL=data:application/json;base64,bnVsbA==