/**
 * Style for ApCard.
 * @class ApCardStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApCardStyle */
var ApCardStyle = _react2.default.createClass({
  displayName: 'ApCardStyle',

  propTypes: {
    style: _react.PropTypes.object,
    highlightColor: _react.PropTypes.string
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {},
      highlightColor: _apemanReactStyle.ApStyle.DEFAULT_HIGHLIGHT_COLOR,
      backgroundColor: _apemanReactStyle.ApStyle.DEFAULT_BACKGROUND_COLOR
    };
  },

  statics: {
    styleData: function styleData(config) {
      var highlightColor = config.highlightColor;
      var backgroundColor = config.backgroundColor;

      return {
        all: {
          '.ap-card': {
            display: 'flex',
            borderRadius: '2px',
            boxSizing: 'border-box',
            padding: '4px',
            boxShadow: '2px 2px 4px rgba(0,0,0,0.33)',
            backgroundColor: backgroundColor,
            maxWidth: _apemanReactStyle.ApStyle.CONTENT_WIDTH + 'px',
            border: '1px solid #D4D4D4',
            margin: '16px 8px',
            flexWrap: 'wrap'
          },
          '.ap-card-tappable:hover': {
            cursor: 'pointer'
          },
          '.ap-card-tappable:active': {
            boxShadow: 'none'
          },
          '.ap-card-image': {
            margin: '4px auto',
            maxWidth: '100%',
            overflow: 'hidden',
            boxSizing: 'border-box',
            padding: '0 4px'
          },
          '.ap-card-column': {
            display: 'block',
            width: '100%'
          },
          '.ap-card-column-0': {
            flexBasis: 0
          },
          '.ap-card-title': {
            padding: '4px',
            margin: 0
          },
          '.ap-card-text': {
            padding: '4px',
            margin: 0
          },
          '.ap-card-group': {
            display: 'flex',
            flexWrap: 'wrap',
            justifyContent: 'space-around'
          }
        }
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApCardStyle$styleDat = ApCardStyle.styleData(props);

    var all = _ApCardStyle$styleDat.all;
    var small = _ApCardStyle$styleDat.small;
    var medium = _ApCardStyle$styleDat.medium;
    var large = _ApCardStyle$styleDat.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApCardStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==